Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.runtime.process
Interface WorkflowProcessInstance

All Superinterfaces:
  EventListener, NodeInstanceContainer, ProcessInstance

All Known Subinterfaces:
  WorkflowProcessInstance

All Known Implementing Classes:
  RuleFlowProcessInstance, WorkflowProcessInstanceImpl

    public interface WorkflowProcessInstance

extends ProcessInstance, NodeInstanceContainer

A workflow process instance represents one specific instance of a workflow process that is currently executing. It is an extension of a `ProcessInstance` and contains all runtime state related to the execution of workflow processes.

See Also:
  `ProcessInstance`

Field Summary

Fields inherited from interface org.kie.runtime.process.ProcessInstance
`STATE_ABORTED, STATE_ACTIVE, STATE_COMPLETED, STATE_PENDING, STATE_SUSPENDED`

Method Summary
`Object` | `getVariable(String name)` Returns the value of the variable with the given name.
`void` | `setVariable(String name, Object value)`

Methods inherited from interface org.kie.runtime.process.ProcessInstance
`getId, getProcess, getProcessId, getProcessName, getState`

Methods inherited from interface org.kie.runtime.process.EventListener
`getEventTypes, signalEvent`

Methods inherited from interface org.kie.runtime.process.NodeInstanceContainer
`getNodeInstance, getNodeInstances`

Method Detail

### getVariable

    Object getVariable(String name)

  Returns the value of the variable with the given name. Note that only variables in the process-level scope will be searched. Returns `null` if the value of the variable is null or if the variable cannot be found.

  Parameters:
    `name` - the name of the variable
  Returns:
    the value of the variable, or `null` if it cannot be found

### setVariable

    void setVariable(String name,
                     Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.